Debian Bug report logs - #534038
haskell-edison: FTBFS: Couldn't match expected type `m' against inferred type `Maybe'

version graph

Package: haskell-edison; Maintainer for haskell-edison is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Jun 2009 15:26:48 UTC

Severity: serious

Tags: sid, squeeze

Found in version 1.2.1-9

Fixed in version haskell-edison-core/1.2.1.3-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#534038; Package haskell-edison. (Sun, 21 Jun 2009 15:26:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Arjan Oosting <arjan@debian.org>. (Sun, 21 Jun 2009 15:26:50 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: haskell-edison: FTBFS: Couldn't match expected type `m' against inferred type `Maybe'
Date: Sun, 21 Jun 2009 16:37:44 +0200
Package: haskell-edison
Version: 1.2.1-9
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  /usr/bin/fakeroot debian/rules clean
> /bin/sh: -c: line 0: syntax error near unexpected token `)'
> /bin/sh: -c: line 0: `if dpkg --compare-versions 4.3.3-12) ge 4.2.0 ; then echo true ; fi'
> dh_testdir
> dh_testroot
> rm -f configure-stamp build-arch-stamp build-indep-stamp
> for d in edison-api edison-core ; do \
> 	    cd "/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/$d" && \
> 	    rm -f COPYRIGHT && \
> 	    if [ -x setup ] && [ -e .setup-config ]; then ./setup clean ; fi && \
> 	    rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html register.sh && \
>             rm -f "/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/libghc6-$d-dev.postinst" && \
>             rm -f "/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/libghc6-$d-dev.prerm" ;\
> 	done
> rm -rf dist
> rm -f debian/package.conf debian/package.conf.old debian/ghc6 debian/ghc-pkg6
> dh_clean 
> dpatch  deapply-all  
> 20_add-haddock-file not applied to ./ .
> 01_update-cabal-file not applied to ./ .
> rm -rf patch-stamp patch-stampT debian/patched
>  dpkg-source -b haskell-edison-1.2.1
> dpkg-source: info: using source format `1.0'
> dpkg-source: info: building haskell-edison using existing haskell-edison_1.2.1.orig.tar.gz
> dpkg-source: info: building haskell-edison in haskell-edison_1.2.1-9.diff.gz
> dpkg-source: warning: executable mode 0755 of 'debian/patches/01_update-cabal-file.dpatch' will not be represented in diff
> dpkg-source: warning: executable mode 0755 of 'debian/patches/20_add-haddock-file.dpatch' will not be represented in diff
> dpkg-source: info: building haskell-edison in haskell-edison_1.2.1-9.dsc
>  debian/rules build
> /bin/sh: -c: line 0: syntax error near unexpected token `)'
> /bin/sh: -c: line 0: `if dpkg --compare-versions 4.3.3-12) ge 4.2.0 ; then echo true ; fi'
> test -d debian/patched || install -d debian/patched
> dpatch  apply-all  
> applying patch 01_update-cabal-file to ./ ... ok.
> applying patch 20_add-haddock-file to ./ ... ok.
> dpatch  cat-all  >>patch-stampT
> mv -f patch-stampT patch-stamp
> dh_testdir
> cp /usr/lib/ghc-6.10.3/./package.conf debian/package.conf
> sed -e "s|@PACKAGE_CONF@|/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf|" \
> 	    debian/ghc6.in > debian/ghc6
> sed -e "s|@PACKAGE_CONF@|/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf|" \
> 	    debian/ghc-pkg6.in > debian/ghc-pkg6
> chmod 755 debian/ghc6 debian/ghc-pkg6
> for d in edison-api edison-core ; do \
> 	    cd "/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/$d" && \
> 	    ln -s ../COPYRIGHT && \
> 	    "/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/ghc6" --make Setup.hs -o setup -package Cabal && \
> 	    name=`grep "Name:" *.cabal | sed "s|Name:[ \t]*\(.*\)|\1|"` && \
> 	    vers=`grep "Version:" *.cabal | sed "s|Version:[ \t]*\(.*\)|\1|"` && \
> 	    sed -e "s|@LIBRARY@|$name|g" -e "s|@VERSION@|$vers|g" \
> 		"/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/postinst.in" > \
> 		"/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/libghc6-$d-dev.postinst" && \
> 	    sed -e "s|@LIBRARY@|$name|g" -e "s|@VERSION@|$vers|g" \
> 		"/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/prerm.in" > \
> 		"/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/libghc6-$d-dev.prerm" ; \
> 	done
> + ghc6 -package-conf /build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf --make Setup.hs -o setup -package Cabal
> [1 of 1] Compiling Main             ( Setup.hs, Setup.o )
> 
> Setup.hs:2:0:
>     Warning: In the use of `defaultUserHooks'
>              (imported from Distribution.Simple):
>              Deprecated: "Use simpleUserHooks or autoconfUserHooks, unless you need Cabal-1.2
>              compatibility in which case you must stick with defaultUserHooks"
> Linking setup ...
> + ghc6 -package-conf /build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf --make Setup.hs -o setup -package Cabal
> [1 of 1] Compiling Main             ( Setup.hs, Setup.o )
> 
> Setup.hs:2:0:
>     Warning: In the use of `defaultUserHooks'
>              (imported from Distribution.Simple):
>              Deprecated: "Use simpleUserHooks or autoconfUserHooks, unless you need Cabal-1.2
>              compatibility in which case you must stick with defaultUserHooks"
> Linking setup ...
> touch configure-stamp
> for d in edison-api edison-core ; do \
> 	    cd "/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/$d" && \
> 	    ./setup configure --prefix=/usr/lib/haskell-packages/ghc6 --enable-library-profiling  --enable-split-objs \
> 		--with-compiler="/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/ghc6" \
> 		--with-hc-pkg="/build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/ghc-pkg6" && \
> 	    GHC6_OPTIONS="" ./setup build && \
> 	    ./setup register --gen-script && \
> 	    sed -i -e "s|import-dirs:.*|import-dirs: `pwd`/dist/build|" \
> 		-e "s|library-dirs:.*|library-dirs: `pwd`/dist/build|" \
> 		-e "s|include-dirs:.*|include-dirs: `pwd`/dist/build|" \
> 		register.sh &&\
> 	    ./register.sh ;\
> 	done
> Warning: defaultUserHooks in Setup script is deprecated.
> Configuring EdisonAPI-1.2.1...
> Warning: No 'build-type' specified. If you do not need a custom Setup.hs or
> ./configure script then use 'build-type: Simple'.
> + ghc6 -package-conf /build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf -c /tmp/28561.c -o /tmp/28561.o
> Preprocessing library EdisonAPI-1.2.1...
> Building EdisonAPI-1.2.1...
> + ghc6 -package-conf /build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf -package-name EdisonAPI-1.2.1 --make -hide-all-packages -no-user-package-conf -split-objs -i -idist/build -isrc -idist/build/autogen -Idist/build/autogen -Idist/build -optP-include -optPdist/build/autogen/cabal_macros.h -odir dist/build -hidir dist/build -stubdir dist/build -package base-4.1.0.0 -package haskell98-1.0.1.0 -package mtl-1.1.0.2 -O -funbox-strict-fields -fwarn-incomplete-patterns -O2 -XMultiParamTypeClasses -XFunctionalDependencies -XUndecidableInstances Data.Edison Data.Edison.Prelude Data.Edison.Sym Data.Edison.Assoc Data.Edison.Coll Data.Edison.Coll.Utils Data.Edison.Seq Data.Edison.Seq.ListSeq
> [1 of 8] Compiling Data.Edison.Prelude ( src/Data/Edison/Prelude.hs, dist/build/Data/Edison/Prelude.o )
> [2 of 8] Compiling Data.Edison.Seq  ( src/Data/Edison/Seq.hs, dist/build/Data/Edison/Seq.o )
> [3 of 8] Compiling Data.Edison.Seq.ListSeq ( src/Data/Edison/Seq/ListSeq.hs, dist/build/Data/Edison/Seq/ListSeq.o )
> [4 of 8] Compiling Data.Edison.Assoc ( src/Data/Edison/Assoc.hs, dist/build/Data/Edison/Assoc.o )
> [5 of 8] Compiling Data.Edison.Coll ( src/Data/Edison/Coll.hs, dist/build/Data/Edison/Coll.o )
> [6 of 8] Compiling Data.Edison.Sym  ( src/Data/Edison/Sym.hs, dist/build/Data/Edison/Sym.o )
> [7 of 8] Compiling Data.Edison.Coll.Utils ( src/Data/Edison/Coll/Utils.hs, dist/build/Data/Edison/Coll/Utils.o )
> [8 of 8] Compiling Data.Edison      ( src/Data/Edison.hs, dist/build/Data/Edison.o )
> + ghc6 -package-conf /build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf -package-name EdisonAPI-1.2.1 --make -hide-all-packages -no-user-package-conf -split-objs -i -idist/build -isrc -idist/build/autogen -Idist/build/autogen -Idist/build -optP-include -optPdist/build/autogen/cabal_macros.h -odir dist/build -hidir dist/build -stubdir dist/build -package base-4.1.0.0 -package haskell98-1.0.1.0 -package mtl-1.1.0.2 -O -funbox-strict-fields -fwarn-incomplete-patterns -O2 -XMultiParamTypeClasses -XFunctionalDependencies -XUndecidableInstances Data.Edison Data.Edison.Prelude Data.Edison.Sym Data.Edison.Assoc Data.Edison.Coll Data.Edison.Coll.Utils Data.Edison.Seq Data.Edison.Seq.ListSeq -prof -hisuf p_hi -osuf p_o
> [1 of 8] Compiling Data.Edison.Prelude ( src/Data/Edison/Prelude.hs, dist/build/Data/Edison/Prelude.p_o )
> [2 of 8] Compiling Data.Edison.Seq  ( src/Data/Edison/Seq.hs, dist/build/Data/Edison/Seq.p_o )
> [3 of 8] Compiling Data.Edison.Seq.ListSeq ( src/Data/Edison/Seq/ListSeq.hs, dist/build/Data/Edison/Seq/ListSeq.p_o )
> [4 of 8] Compiling Data.Edison.Assoc ( src/Data/Edison/Assoc.hs, dist/build/Data/Edison/Assoc.p_o )
> [5 of 8] Compiling Data.Edison.Coll ( src/Data/Edison/Coll.hs, dist/build/Data/Edison/Coll.p_o )
> [6 of 8] Compiling Data.Edison.Sym  ( src/Data/Edison/Sym.hs, dist/build/Data/Edison/Sym.p_o )
> [7 of 8] Compiling Data.Edison.Coll.Utils ( src/Data/Edison/Coll/Utils.hs, dist/build/Data/Edison/Coll/Utils.p_o )
> [8 of 8] Compiling Data.Edison      ( src/Data/Edison.hs, dist/build/Data/Edison.p_o )
> /usr/bin/ar: creating dist/build/libHSEdisonAPI-1.2.1.a
> /usr/bin/ar: creating dist/build/libHSEdisonAPI-1.2.1_p.a
> Writing registration script: register.sh for EdisonAPI-1.2.1...
> + ghc-pkg6 --global-conf /build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf update -
> Reading package info from stdin ... done.
> Writing new package config file... done.
> Warning: defaultUserHooks in Setup script is deprecated.
> Configuring EdisonCore-1.2.1...
> Warning: No 'build-type' specified. If you do not need a custom Setup.hs or
> ./configure script then use 'build-type: Simple'.
> + ghc6 -package-conf /build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf -c /tmp/1613.c -o /tmp/1613.o
> Preprocessing library EdisonCore-1.2.1...
> Building EdisonCore-1.2.1...
> + ghc6 -package-conf /build/user-haskell-edison_1.2.1-9-amd64-f1ojel/haskell-edison-1.2.1/debian/package.conf -package-name EdisonCore-1.2.1 --make -hide-all-packages -no-user-package-conf -split-objs -i -idist/build -isrc -idist/build/autogen -Idist/build/autogen -Idist/build -optP-include -optPdist/build/autogen/cabal_macros.h -odir dist/build -hidir dist/build -stubdir dist/build -package EdisonAPI-1.2.1 -package QuickCheck-1.2.0.0 -package array-0.2.0.0 -package base-4.1.0.0 -package containers-0.2.0.1 -package haskell98-1.0.1.0 -package mtl-1.1.0.2 -O -fglasgow-exts -funbox-strict-fields -fwarn-incomplete-patterns -O2 -XMultiParamTypeClasses -XFunctionalDependencies -XUndecidableInstances -XCPP -XFlexibleInstances -XTypeSynonymInstances -XPatternSignatures -XFlexibleContexts Data.Edison.Assoc.Defaults Data.Edison.Assoc.AssocList Data.Edison.Assoc.PatriciaLoMap Data.Edison.Assoc.StandardMap Data.Edison.Assoc.TernaryTrie Data.Edison.Concrete.FingerTree Data.Edison.Coll.Defaults Data.Edison.Coll.LazyPairingHeap Data.Edison.Coll.LeftistHeap Data.Edison.Coll.MinHeap Data.Edison.Coll.SkewHeap Data.Edison.Coll.SplayHeap Data.Edison.Coll.StandardSet Data.Edison.Coll.EnumSet Data.Edison.Coll.UnbalancedSet Data.Edison.Seq.Defaults Data.Edison.Seq.BankersQueue Data.Edison.Seq.BinaryRandList Data.Edison.Seq.BraunSeq Data.Edison.Seq.FingerSeq Data.Edison.Seq.JoinList Data.Edison.Seq.MyersStack Data.Edison.Seq.RandList Data.Edison.Seq.RevSeq Data.Edison.Seq.SimpleQueue Data.Edison.Seq.SizedSeq
> 
> on the commandline:
>     Warning: -XPatternSignatures is deprecated: use -XScopedTypeVariables or pragma {-# LANGUAGE ScopedTypeVariables#-} instead
> [ 1 of 26] Compiling Data.Edison.Seq.Defaults ( src/Data/Edison/Seq/Defaults.hs, dist/build/Data/Edison/Seq/Defaults.o )
> [ 2 of 26] Compiling Data.Edison.Seq.BankersQueue ( src/Data/Edison/Seq/BankersQueue.hs, dist/build/Data/Edison/Seq/BankersQueue.o )
> [ 3 of 26] Compiling Data.Edison.Seq.BinaryRandList ( src/Data/Edison/Seq/BinaryRandList.hs, dist/build/Data/Edison/Seq/BinaryRandList.o )
> [ 4 of 26] Compiling Data.Edison.Seq.BraunSeq ( src/Data/Edison/Seq/BraunSeq.hs, dist/build/Data/Edison/Seq/BraunSeq.o )
> [ 5 of 26] Compiling Data.Edison.Seq.JoinList ( src/Data/Edison/Seq/JoinList.hs, dist/build/Data/Edison/Seq/JoinList.o )
> [ 6 of 26] Compiling Data.Edison.Seq.MyersStack ( src/Data/Edison/Seq/MyersStack.hs, dist/build/Data/Edison/Seq/MyersStack.o )
> [ 7 of 26] Compiling Data.Edison.Seq.RandList ( src/Data/Edison/Seq/RandList.hs, dist/build/Data/Edison/Seq/RandList.o )
> [ 8 of 26] Compiling Data.Edison.Seq.RevSeq ( src/Data/Edison/Seq/RevSeq.hs, dist/build/Data/Edison/Seq/RevSeq.o )
> [ 9 of 26] Compiling Data.Edison.Seq.SimpleQueue ( src/Data/Edison/Seq/SimpleQueue.hs, dist/build/Data/Edison/Seq/SimpleQueue.o )
> [10 of 26] Compiling Data.Edison.Seq.SizedSeq ( src/Data/Edison/Seq/SizedSeq.hs, dist/build/Data/Edison/Seq/SizedSeq.o )
> [11 of 26] Compiling Data.Edison.Coll.Defaults ( src/Data/Edison/Coll/Defaults.hs, dist/build/Data/Edison/Coll/Defaults.o )
> [12 of 26] Compiling Data.Edison.Coll.LazyPairingHeap ( src/Data/Edison/Coll/LazyPairingHeap.hs, dist/build/Data/Edison/Coll/LazyPairingHeap.o )
> [13 of 26] Compiling Data.Edison.Coll.LeftistHeap ( src/Data/Edison/Coll/LeftistHeap.hs, dist/build/Data/Edison/Coll/LeftistHeap.o )
> [14 of 26] Compiling Data.Edison.Coll.MinHeap ( src/Data/Edison/Coll/MinHeap.hs, dist/build/Data/Edison/Coll/MinHeap.o )
> [15 of 26] Compiling Data.Edison.Coll.SkewHeap ( src/Data/Edison/Coll/SkewHeap.hs, dist/build/Data/Edison/Coll/SkewHeap.o )
> [16 of 26] Compiling Data.Edison.Coll.SplayHeap ( src/Data/Edison/Coll/SplayHeap.hs, dist/build/Data/Edison/Coll/SplayHeap.o )
> [17 of 26] Compiling Data.Edison.Coll.StandardSet ( src/Data/Edison/Coll/StandardSet.hs, dist/build/Data/Edison/Coll/StandardSet.o )
> [18 of 26] Compiling Data.Edison.Coll.EnumSet ( src/Data/Edison/Coll/EnumSet.hs, dist/build/Data/Edison/Coll/EnumSet.o )
> [19 of 26] Compiling Data.Edison.Coll.UnbalancedSet ( src/Data/Edison/Coll/UnbalancedSet.hs, dist/build/Data/Edison/Coll/UnbalancedSet.o )
> [20 of 26] Compiling Data.Edison.Concrete.FingerTree ( src/Data/Edison/Concrete/FingerTree.hs, dist/build/Data/Edison/Concrete/FingerTree.o )
> [21 of 26] Compiling Data.Edison.Seq.FingerSeq ( src/Data/Edison/Seq/FingerSeq.hs, dist/build/Data/Edison/Seq/FingerSeq.o )
> [22 of 26] Compiling Data.Edison.Assoc.Defaults ( src/Data/Edison/Assoc/Defaults.hs, dist/build/Data/Edison/Assoc/Defaults.o )
> [23 of 26] Compiling Data.Edison.Assoc.AssocList ( src/Data/Edison/Assoc/AssocList.hs, dist/build/Data/Edison/Assoc/AssocList.o )
> [24 of 26] Compiling Data.Edison.Assoc.PatriciaLoMap ( src/Data/Edison/Assoc/PatriciaLoMap.hs, dist/build/Data/Edison/Assoc/PatriciaLoMap.o )
> [25 of 26] Compiling Data.Edison.Assoc.StandardMap ( src/Data/Edison/Assoc/StandardMap.hs, dist/build/Data/Edison/Assoc/StandardMap.o )
> 
> src/Data/Edison/Assoc/StandardMap.hs:207:21:
>     Couldn't match expected type `m' against inferred type `Maybe'
>       `m' is a rigid type variable bound by
>           the type signature for `lookupM'
>             at src/Data/Edison/Assoc/StandardMap.hs:87:34
>     In the expression: DM.lookup
>     In the definition of `lookupM': lookupM = DM.lookup
> make: *** [build-arch-stamp] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/06/20/haskell-edison_1.2.1-9_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#534038; Package haskell-edison. (Sat, 11 Jul 2009 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Arjan Oosting <arjan@debian.org>. (Sat, 11 Jul 2009 09:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 534038@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: debian-haskell@lists.debian.org
Cc: "534038 "@bugs.debian.org
Subject: TODO: haskell-edison
Date: Sat, 11 Jul 2009 11:52:53 +0200
[Message part 1 (text/plain, inline)]
Hi,

I’ll be collecting problems with packages that would hold up a ghc6
transition and send them here, in case someone looks for something to
do:

haskell-edison does not build, see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=534038

An upgrade to 1.2.1.3 will fix this. Arjan has agreed to NMUs while he
has too little time to actively maintain the packages.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#534038; Package haskell-edison. (Thu, 16 Jul 2009 15:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Arjan Oosting <arjan@debian.org>. (Thu, 16 Jul 2009 15:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 534038@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 534038@bugs.debian.org
Subject: edison has been split
Date: Thu, 16 Jul 2009 17:22:13 +0200
[Message part 1 (text/plain, inline)]
Hi,

FYI, whoever fixes this (might be me). It seems edison has been split
into
http://hackage.haskell.org/package/EdisonCore
and
http://hackage.haskell.org/package/EdisonAPI

I guess EdisonCore should Replace: edison in Debian.

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#534038; Package haskell-edison. (Thu, 16 Jul 2009 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to Arjan Oosting <arjan@debian.org>. (Thu, 16 Jul 2009 17:15:05 GMT) Full text and rfc822 format available.

Message #20 received at 534038@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: Joachim Breitner <nomeata@debian.org>, 534038@bugs.debian.org
Subject: Re: Bug#534038: edison has been split
Date: Thu, 16 Jul 2009 19:12:36 +0200
[Message part 1 (text/plain, inline)]
Op donderdag 16-07-2009 om 17:22 uur [tijdzone +0200], schreef Joachim
Breitner:
> Hi,
> 
> FYI, whoever fixes this (might be me). It seems edison has been split
> into
> http://hackage.haskell.org/package/EdisonCore
> and
> http://hackage.haskell.org/package/EdisonAPI
> 
> I guess EdisonCore should Replace: edison in Debian.

The binary packages are already split:

arjan@brigand:~$ apt-cache search edison
haskell-edison-doc - documentation of the Edison Haskell library
libghc6-edison-api-dev - Haskell library of efficent, purely-functional data structures
libghc6-edison-core-dev - Haskell library of efficent, purely-functional data structures
libhugs-edison-api - Haskell library of efficent, purely-functional data structures
libhugs-edison-core - Haskell library of efficent, purely-functional data structures

Or do you mean something else?

Greetings Arjan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#534038; Package haskell-edison. (Thu, 16 Jul 2009 19:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Arjan Oosting <arjan@debian.org>. (Thu, 16 Jul 2009 19:12:02 GMT) Full text and rfc822 format available.

Message #25 received at 534038@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Arjan Oosting <arjanoosting@home.nl>
Cc: 534038@bugs.debian.org
Subject: Re: Bug#534038: edison has been split
Date: Thu, 16 Jul 2009 21:03:58 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Donnerstag, den 16.07.2009, 19:12 +0200 schrieb Arjan Oosting:
> Op donderdag 16-07-2009 om 17:22 uur [tijdzone +0200], schreef Joachim
> Breitner:
> > Hi,
> > 
> > FYI, whoever fixes this (might be me). It seems edison has been split
> > into
> > http://hackage.haskell.org/package/EdisonCore
> > and
> > http://hackage.haskell.org/package/EdisonAPI
> > 
> > I guess EdisonCore should Replace: edison in Debian.
> 
> The binary packages are already split:
> 
> arjan@brigand:~$ apt-cache search edison
> haskell-edison-doc - documentation of the Edison Haskell library
> libghc6-edison-api-dev - Haskell library of efficent, purely-functional data structures
> libghc6-edison-core-dev - Haskell library of efficent, purely-functional data structures
> libhugs-edison-api - Haskell library of efficent, purely-functional data structures
> libhugs-edison-core - Haskell library of efficent, purely-functional data structures
> 
> Or do you mean something else?

ah, great. I didn’t check in detail yet. I guess since upstream seems to
have split the source, Debian should also have two source package.
Having the binaries already split of course helps.

Thanks for your input,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 17 Jul 2009 20:09:05 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sat, 25 Jul 2009 11:12:25 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 25 Jul 2009 11:12:25 GMT) Full text and rfc822 format available.

Message #32 received at 534038-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 534038-close@bugs.debian.org
Subject: Bug#534038: fixed in haskell-edison-core 1.2.1.3-1
Date: Sat, 25 Jul 2009 10:42:57 +0000
Source: haskell-edison-core
Source-Version: 1.2.1.3-1

We believe that the bug you reported is fixed in the latest version of
haskell-edison-core, which is due to be installed in the Debian FTP archive:

haskell-edison-core-doc_1.2.1.3-1_all.deb
  to pool/main/h/haskell-edison-core/haskell-edison-core-doc_1.2.1.3-1_all.deb
haskell-edison-core_1.2.1.3-1.diff.gz
  to pool/main/h/haskell-edison-core/haskell-edison-core_1.2.1.3-1.diff.gz
haskell-edison-core_1.2.1.3-1.dsc
  to pool/main/h/haskell-edison-core/haskell-edison-core_1.2.1.3-1.dsc
haskell-edison-core_1.2.1.3.orig.tar.gz
  to pool/main/h/haskell-edison-core/haskell-edison-core_1.2.1.3.orig.tar.gz
libghc6-edison-core-dev_1.2.1.3-1_amd64.deb
  to pool/main/h/haskell-edison-core/libghc6-edison-core-dev_1.2.1.3-1_amd64.deb
libghc6-edison-core-prof_1.2.1.3-1_amd64.deb
  to pool/main/h/haskell-edison-core/libghc6-edison-core-prof_1.2.1.3-1_amd64.deb
libhugs-edison-core_1.2.1.3-1_all.deb
  to pool/main/h/haskell-edison-core/libhugs-edison-core_1.2.1.3-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534038@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-edison-core package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jul 2009 11:32:42 +0200
Source: haskell-edison-core
Binary: libghc6-edison-core-dev libghc6-edison-core-prof libhugs-edison-core haskell-edison-core-doc
Architecture: source all amd64
Version: 1.2.1.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 haskell-edison-core-doc - documentation of the Edison Haskell library
 libghc6-edison-core-dev - Haskell library of efficent, purely-functional data structures
 libghc6-edison-core-prof - Haskell library of data structures; profiling libraries
 libhugs-edison-core - Haskell library of efficent, purely-functional data structures
Closes: 534038
Changes: 
 haskell-edison-core (1.2.1.3-1) unstable; urgency=low
 .
   * Adopt haskell-edison for the Debian Haskell Group. Thanks to Arjan for his
     previous maintenance.
   * Edison has been split into multiple source packages.
   * Do packaging from scratch with a standard haskell-devscripts approach.
      + Adds -prof packages.
   * New upstream release, closes: #534038.
Checksums-Sha1: 
 a293f6f375ab83ccc4353d94b23c2c14461e2823 1764 haskell-edison-core_1.2.1.3-1.dsc
 6f731fdf4a2ea14eb6b67eb825096dce97cd0050 78422 haskell-edison-core_1.2.1.3.orig.tar.gz
 b000c2fc703bdc34a22456e38928b658115ca910 4687 haskell-edison-core_1.2.1.3-1.diff.gz
 41a7f2c89045a2eb4efd983e05f0731de39c1063 85948 libhugs-edison-core_1.2.1.3-1_all.deb
 adab1b6a07c39d2c7e9f6f9aafe16c6cd3ed151e 395626 haskell-edison-core-doc_1.2.1.3-1_all.deb
 8260a896b5bd63fa3229e9698b7e278755441563 1863866 libghc6-edison-core-dev_1.2.1.3-1_amd64.deb
 b2377fadc816757ce6810c7e27b6063df666341a 2039046 libghc6-edison-core-prof_1.2.1.3-1_amd64.deb
Checksums-Sha256: 
 0ae119586899fb8c95b8da1ba02f1105cf8500fae2cbe8e75550963698c302b5 1764 haskell-edison-core_1.2.1.3-1.dsc
 b23a9777f4941378c330f8ec08531fc3d11a21a5e25754ccf0d6957a02cc851b 78422 haskell-edison-core_1.2.1.3.orig.tar.gz
 ec1b268c2bda7f3c9722a5af5b7c757aa8fa6bd70a2a29ccc2b9af364eeb1dd7 4687 haskell-edison-core_1.2.1.3-1.diff.gz
 14dee834e09dda04477e8825ea03798ca2c6ff3af487f0746e4b75471ec2b339 85948 libhugs-edison-core_1.2.1.3-1_all.deb
 7a8ed12baa796e8e08c8b6b402de0657ff3da611d01903c712edd5e2a248d467 395626 haskell-edison-core-doc_1.2.1.3-1_all.deb
 eef951ab4fd7e2b4e5043a3d123aa1ae833ac893efe890201db9ce67623d3b4f 1863866 libghc6-edison-core-dev_1.2.1.3-1_amd64.deb
 ab95bb7e9b8228110a9592e55c914b55655f9e57a8a1cff67b2ffee8906f3acb 2039046 libghc6-edison-core-prof_1.2.1.3-1_amd64.deb
Files: 
 0a8b744ec25dd6cd7120bd8d01c40a44 1764 haskell optional haskell-edison-core_1.2.1.3-1.dsc
 b496de63ef077887c1e48829eefe060d 78422 haskell optional haskell-edison-core_1.2.1.3.orig.tar.gz
 0e4d58240d6ac02cb00800dba89c0f09 4687 haskell optional haskell-edison-core_1.2.1.3-1.diff.gz
 99d758d295aaf98245e96cebbe6189c7 85948 haskell optional libhugs-edison-core_1.2.1.3-1_all.deb
 2063e4316307d70d471e38aba0686ab1 395626 doc optional haskell-edison-core-doc_1.2.1.3-1_all.deb
 d7025fa458a50726a6362dbf2b33673c 1863866 haskell optional libghc6-edison-core-dev_1.2.1.3-1_amd64.deb
 6b709a8c91cf93ef1fba5a7b72258fb1 2039046 haskell optional libghc6-edison-core-prof_1.2.1.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpgRcsACgkQ9ijrk0dDIGxbCwCgiBM5Jivg54yGyN8XGRBNq0R7
HZsAnAvhuN8v3pN5sqdL/44n5mx/jZUJ
=e2w7
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Fri, 22 Jan 2010 16:42:43 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:59:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:20:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.